#!/usr/bin/ruby
require 'socket'

if ARGV
	files = ARGV
else
	files = Dir['./*']
end

begin
	socket = TCPSocket.new('www.fifi.be', 9090)
rescue
	$stderr.print "Couldn't connect to host\n"
	exit 1
end

files.each do |file|
	unless FileTest.file?(file)
		$stderr.print "#{file} is not a regular file : IGNORED\n"
		next
	end
	$stderr.print "processsing ", File.basename(file), "\n"
	fd = open(file, 'r')
	size = File.size(file)
	socket.write "\nFILE:#{File.basename(file)};;SIZE:#{size}\n"
	socket.syswrite(fd.sysread(size))
	fd.close
end
socket.close
